## mrtgutils 0.5

=== Makefile ===
CC = gcc
CFLAGS = -g -O2 -Wall 
VERSION = 0.1

ARCH:= $(shell dpkg-architecture -qDEB_BUILD_ARCH)
ifeq ($(ARCH),i386)
WITH_SENSORS:=1
endif

COBJS = uptime.o util.o
TARGETS = mrtg-load mrtg-ip-acct mrtg-apache
MANPAGES = mrtg-load.1 mrtg-ip-acct.1 mrtg-apache.1
ifeq ($(WITH_SENSORS),1)
TARGETS += mrtg-sensors
MANPAGES += mrtg-sensors.1
endif

%.o: %.c
	$(CC) $(CFLAGS) -c $<

%.1: %.pod
	pod2man --center "MRTG helper utilities" --release "mrtgutils $(VERSION)" $^ > $@

all: $(TARGETS) $(MANPAGES)

mrtg-sensors: LIBS=-lsensors

mrtg-%: $(COBJS) mrtg-%.o
	$(CC) $(CFLAGS) $(LIBS) -o $@ $^
	strip --strip-unneeded $@

install: $(TARGET) 
	for i in $(TARGETS); do install -m 755 $$i $(DESTDIR)/usr/bin/$$i; done
	for i in $(MANPAGES); do install -m 644 $$i $(DESTDIR)/usr/share/man/man1/$$i; gzip -9 $(DESTDIR)/usr/share/man/man1/$$i; done
	

clean:
	-rm -f *.o $(TARGETS) $(MANPAGES)
	-rm -f *~

## mrtgutils 0.4

=== debian/changelog ===
mrtgutils (0.4) unstable; urgency=low

  * oops, that patch doesn't work.. mrtg-sensors disappeared
    as a result. fixed now. (Closes: #98959, #99839)

 -- Randolph Chung <tausq@debian.org>  Thu, 14 Jun 2001 22:04:12 -0700

mrtgutils (0.3) unstable; urgency=low

  * Following changes courtesy of Marcelo E. Magallon 
    <mmagallo@debian.org> 
  * debian/rules, Makefile: Use sensors only on i386 (closes: bug#88627)
  * debian/rules: add support for debug thingie in DEB_* enviroment
    variables.

 -- Randolph Chung <tausq@debian.org>  Wed, 23 May 2001 21:58:37 -0700

mrtgutils (0.2) unstable; urgency=low

  * oops, left out the mrtg-sensors man page...
  * Allow user specification of status directory. Closes: #88409 
  * start using debian-native version numbers :)

 -- Randolph Chung <tausq@debian.org>  Sun,  4 Mar 2001 19:08:32 -0700

mrtgutils (0.1-4) unstable; urgency=low

  * mrtg-sensors support from Joey Hess. Closes: #88436 

 -- Randolph Chung <tausq@debian.org>  Sun,  4 Mar 2001 00:16:46 -0700

mrtgutils (0.1-3) unstable; urgency=low

  * Changed mrtg-ip-acct to use long long for the counters instead of long
    (for ultrasparc) (closes: #60642)

 -- Randolph Chung <tausq@debian.org>  Fri, 17 Mar 2000 18:05:58 -0700

mrtgutils (0.1-2) unstable; urgency=low

  * Added a quiet option to mrtg-apache

 -- Randolph Chung <tausq@debian.org>  Mon, 13 Mar 2000 23:13:43 -0700

mrtgutils (0.1-1) unstable; urgency=low

  * Initial Release.

 -- Randolph Chung <tausq@debian.org>  Sat, 29 Jan 2000 21:37:16 -0700

Local variables:
mode: debian-changelog
End:

=== debian/control ===
Source: mrtgutils
Section: net
Priority: optional
Build-Depends: debhelper, libsensors-dev [i386]
Maintainer: Randolph Chung <tausq@debian.org>
Standards-Version: 3.1.0

Package: mrtgutils
Architecture: any
Priority: optional
Section: net
Depends: ${shlibs:Depends}
Suggests: lm-sensors, mrtg
Description: Utilities to generate statistics for mrtg
 A collection of simple utilities to generate output useful for mrtg. Many
 of the existing mrtg setups use shell or perl scripts to gather output. On
 busy systems, these scripts can generate a lot of extra load. These (small)
 C programs can return the given statistics more efficiently.

## mrtgutils 0.5

=== debian/changelog ===
mrtgutils (0.5) unstable; urgency=low

  * Rebuilt with new libsensors to fix dependency. Closes: #237349

 -- Randolph Chung <tausq@debian.org>  Sun, 14 Mar 2004 23:49:40 -0800

mrtgutils (0.4-0.2) unstable; urgency=low

  * NMU
  * Rebuilt with new libsensors to fix dependency. Closes: #216854

 -- Joey Hess <joeyh@debian.org>  Wed, 19 Nov 2003 13:05:22 -0500

mrtgutils (0.4-0.1) unstable; urgency=low

  * NMU
  * Rebuilt with new libsensors to fix dependency. Closes: #200766
  * Should fix mrtg-sensors segfault. Closes: #192092

 -- Joey Hess <joeyh@debian.org>  Sun, 24 Aug 2003 11:06:21 -0400

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Build-Depends: debhelper, libsensors-dev [i386]
 Maintainer: Randolph Chung <tausq@debian.org>
-Standards-Version: 3.1.0
+Standards-Version: 3.6.0
 
 Package: mrtgutils
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f
#-*- makefile -*-
# Made with the aid of dh_make, by Craig Small
# Sample debian/rules that uses debhelper. GNU copyright 1997 by Joey Hess.
# Some lines taken from debmake, by Christoph Lameter.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This is the debhelper compatability version to use.
export DH_COMPAT=1

CFLAGS = -O2 -Wall
ifneq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
CFLAGS += -g
endif

build: build-stamp
build-stamp:
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE) CFLAGS="$(CFLAGS)"

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp install-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) clean WITH_SENSORS=1

	dh_clean

install: install-stamp
install-stamp: build-stamp
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the package into debian/tmp.
	$(MAKE) install DESTDIR=`pwd`/debian/tmp

	touch install-stamp

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
#	dh_testversion
	dh_testdir
	dh_testroot
	dh_installdocs
	dh_installmanpages
	dh_installchangelogs 
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

source diff:                                                                  
	@echo >&2 'source and diff are obsolete - use dpkg-source -b'; false

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## mrtgutils 0.7

=== Makefile ===
--- 
+++ 
@@ -27,7 +27,6 @@
 
 mrtg-%: $(COBJS) mrtg-%.o
 	$(CC) $(CFLAGS) $(LIBS) -o $@ $^
-	strip --strip-unneeded $@
 
 install: $(TARGET) 
 	for i in $(TARGETS); do install -m 755 $$i $(DESTDIR)/usr/bin/$$i; done

=== debian/changelog ===
mrtgutils (0.7) unstable; urgency=low

  * The "It's time to grown up" release 
  * New upstream developer, now is the packager, AKA me. Closes: #472730
  * The strip in the Makefile was removed and just use dh_strip. 
    Closes: #437586
  * Many lintian issues cleaned. 

 -- Luciano Bello <luciano@debian.org>  Sat, 19 Apr 2008 23:00:09 -0300

mrtgutils (0.6) experimental; urgency=low

  * New maintainer (Closes:#352553).
  * Documentation extend in the README.Debian file (closes: #92924).
  * mrtg-ip-acct could also print packet counters of an interface and not only
    bytes. Thanks Mario Holbe for the patch. (closes: #218298).
  * Do not depends from libsensors3. The mrtg-sensors's run-dependencies are
    being ignored (Closes:#319226). Please, read README.Debian.

 -- Luciano Bello <luciano@linux.org.ar>  Thu, 14 Dec 2006 23:42:23 -0300

=== debian/control ===
--- 
+++ 
@@ -2,13 +2,14 @@
 Section: net
 Priority: optional
 Build-Depends: debhelper, libsensors-dev [i386]
-Maintainer: Randolph Chung <tausq@debian.org>
-Standards-Version: 3.6.0
+Maintainer: Luciano Bello <luciano@debian.org>
+Standards-Version: 3.7.3
 
 Package: mrtgutils
 Architecture: any
 Priority: optional
 Section: net
+Recommends: libsensors3 (>= 2.8.5)
 Depends: ${shlibs:Depends}
 Suggests: lm-sensors, mrtg
 Description: Utilities to generate statistics for mrtg

=== debian/rules ===
#!/usr/bin/make -f
#-*- makefile -*-
# Made with the aid of dh_make, by Craig Small
# Sample debian/rules that uses debhelper. GNU copyright 1997 by Joey Hess.
# Some lines taken from debmake, by Christoph Lameter.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

CFLAGS = -O2 -Wall
ifneq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
CFLAGS += -g
endif

build: build-stamp
build-stamp:
	dh_testdir

	$(MAKE) CFLAGS="$(CFLAGS)"

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp install-stamp

	[ ! -f Makefile ] || $(MAKE) clean WITH_SENSORS=1 

	dh_clean

install: install-stamp
install-stamp: build-stamp
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	$(MAKE) install DESTDIR=$(CURDIR)/debian/mrtgutils

	touch install-stamp

binary-indep: build install

binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installdocs
	dh_installmanpages
	dh_installchangelogs 
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps -Xmrtg-sensors
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## mrtgutils 0.8.1

=== Makefile ===
--- 
+++ 
@@ -3,9 +3,7 @@
 VERSION = 0.1
 
 ARCH:= $(shell dpkg-architecture -qDEB_BUILD_ARCH)
-ifeq ($(ARCH),i386)
 WITH_SENSORS:=1
-endif
 
 COBJS = uptime.o util.o
 TARGETS = mrtg-load mrtg-ip-acct mrtg-apache

=== debian/changelog ===
mrtgutils (0.8.1) unstable; urgency=low

  * mrtgutils (>= 0.8) conflicts with mrtgutils (<=0.7). Closes:# 598799

 -- Luciano Bello <luciano@debian.org>  Wed, 06 Oct 2010 22:14:55 -0300

mrtgutils (0.8) experimental; urgency=low

  * New Standards-Version.
  * Debhelper version 8.
  * Tons of lintian issues cleaned. 
  * mrtg-sensors is now present in amd64. Closes: #597253.
  * Migrate to libsensors4 and fixes in  mrtg-sensors. Closes: #563556 Thanks
    to Norman Rasmussen!
  * mrtg-sensors is now in a separate package, called mrtgutils-sensors.
    Closes: #597254.
  * Other minor changes.

 -- Luciano Bello <luciano@debian.org>  Thu, 23 Sep 2010 14:10:06 -0300

=== debian/control ===
Source: mrtgutils
Section: net
Priority: optional
Build-Depends: debhelper (>= 8), libsensors4-dev
Maintainer: Luciano Bello <luciano@debian.org>
Standards-Version: 3.9.1

Package: mrtgutils
Architecture: any
Priority: optional
Section: net
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: mrtg, mrtgutils-sensors
Description: Utilities to generate statistics for mrtg
 MRTGutils is a collection of simple utilities to generate output useful for 
 mrtg. Many of the existing mrtg setups use shell or perl scripts to gather 
 output. On busy systems, these scripts can generate a lot of extra load. These
 (small) C programs can return the given statistics more efficiently.
 .
 This package provides the following binaries that return:
  - mrtg-load: the current load average (5-minute average)
  - mrtg-ip-acct: the number of IP packets that have traversed an interface
  - mrtg-apache: the number of hits to a Apache web site


Package: mrtgutils-sensors
Architecture: any
Priority: optional
Section: net
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: mrtgutils
Conflicts: mrtgutils (<= 0.7)
Description: Utilities to generate statistics for mrtg (from lm-sensors)
 MRTGutils is a collection of simple utilities to generate output useful for 
 mrtg. Many of the existing mrtg setups use shell or perl scripts to gather 
 output. On busy systems, these scripts can generate a lot of extra load. These
 (small) C programs can return the given statistics more efficiently.
 .
 This package provides the binary mrtg-sensors that returns data sensors 
 information from lm-sensors.

=== debian/rules ===
--- 
+++ 
@@ -33,10 +33,12 @@
 install-stamp: build-stamp
 	dh_testdir
 	dh_testroot
-	dh_clean -k
-	dh_installdirs
+	dh_prep
+	dh_installdirs -A usr/bin usr/share/man/man1
 
 	$(MAKE) install DESTDIR=$(CURDIR)/debian/mrtgutils
+	mv debian/mrtgutils/usr/share/man/man1/mrtg-sensors.1.gz debian/mrtgutils-sensors/usr/share/man/man1 
+	mv debian/mrtgutils/usr/bin/mrtg-sensors debian/mrtgutils-sensors/usr/bin
 
 	touch install-stamp
 
@@ -46,14 +48,14 @@
 	dh_testdir
 	dh_testroot
 	dh_installdocs
-	dh_installmanpages
+	dh_installman
 	dh_installchangelogs 
 	dh_link
 	dh_strip
 	dh_compress
 	dh_fixperms
 	dh_installdeb
-	dh_shlibdeps -Xmrtg-sensors
+	dh_shlibdeps
 	dh_gencontrol
 	dh_md5sums
 	dh_builddeb

## mrtgutils 0.8.1ubuntu1

=== Makefile ===
--- 
+++ 
@@ -24,7 +24,7 @@
 mrtg-sensors: LIBS=-lsensors
 
 mrtg-%: $(COBJS) mrtg-%.o
-	$(CC) $(CFLAGS) $(LIBS) -o $@ $^
+	$(CC) $(CFLAGS) -o $@ $^ $(LIBS)
 
 install: $(TARGET) 
 	for i in $(TARGETS); do install -m 755 $$i $(DESTDIR)/usr/bin/$$i; done

=== debian/changelog ===
mrtgutils (0.8.1ubuntu1) oneiric; urgency=low

  * Makefile: Correct placement of libs in linking. Fixes FTBFS.
    (LP: #770826)
  * mrtg-sensors.c: Fix missing <string.h> include.

 -- Daniel T Chen <crimsun@ubuntu.com>  Wed, 14 Sep 2011 17:38:49 -0400

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,8 @@
 Section: net
 Priority: optional
 Build-Depends: debhelper (>= 8), libsensors4-dev
-Maintainer: Luciano Bello <luciano@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Luciano Bello <luciano@debian.org>
 Standards-Version: 3.9.1
 
 Package: mrtgutils

## mrtgutils 0.8.2

=== debian/changelog ===
mrtgutils (0.8.2) unstable; urgency=medium

  * New Standards-Version.
  * Source format 3.0 (native).
  * Debhelper 9.
  * In collab-maint now. Vcs-Git and Vcs-Browser added.
  * The original author, Randolph Chung, uploaded the original version of 
    this package directly to Debian. So there is not such a thing as "It
    was downloaded from" entry in copyright. Closes:# 575091.
  * Implicit declaration of function 'strcmp' fixed. Closes: #641651 
  * Makefile: Correct placement of libs in linking.
    (LP: #770826). Closes: #641650
  * Francois Gouget <fgouget@free.fr> made mrtg-load more flexible. Thanks!
    Closes: #721875
    - It can now be used to sample any of the load averages.
    - uptime.c optimitzation: Only compute the uptime and load averages once
      per run.
  * The Francois patch inspired mrtg-uptime, for monitoring system and idle
    uptime
  * Also from Francois patch inspiration, different (and fractional)
    multipliers can be applied for each of the two data samples. Including
    mrtg-sensors. Closes: #127918
  * Adjusted Debian copyright to a new format based on debian policy.

 -- Luciano Bello <luciano@debian.org>  Fri, 01 Jul 2016 00:56:40 +0200

## mrtgutils 0.8.3

=== debian/changelog ===
mrtgutils (0.8.3) unstable; urgency=high

  * mrtg-ip-acct error handeling was wrong, very wrong. Closes: #830813 

 -- Luciano Bello <luciano@debian.org>  Mon, 18 Jul 2016 01:20:11 +0200

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,11 @@
 Source: mrtgutils
 Section: net
 Priority: optional
-Build-Depends: debhelper (>= 8), libsensors4-dev
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Luciano Bello <luciano@debian.org>
-Standards-Version: 3.9.1
+Build-Depends: debhelper (>= 9), libsensors4-dev
+Maintainer: Luciano Bello <luciano@debian.org>
+Standards-Version: 3.9.8
+Vcs-Git: git://anonscm.debian.org/collab-maint/mrtgutils.git
+Vcs-Browser: http://anonscm.debian.org/cgit/collab-maint/mrtgutils.git
 
 Package: mrtgutils
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1

override_dh_auto_install:

%:
	dh $@

## mrtgutils 0.8.3build1

=== Makefile ===
CC = gcc
VERSION = 0.1

CPPFLAGS:=$(shell dpkg-buildflags --get CPPFLAGS)
CFLAGS:=$(shell dpkg-buildflags --get CFLAGS)
CXXFLAGS:=$(shell dpkg-buildflags --get CXXFLAGS)
LDFLAGS:=$(shell dpkg-buildflags --get LDFLAGS)

ARCH:= $(shell dpkg-architecture -qDEB_BUILD_ARCH)
WITH_SENSORS:=1

COBJS = uptime.o util.o
TARGETS = mrtg-load mrtg-ip-acct mrtg-apache mrtg-uptime
MANPAGES = mrtg-load.1 mrtg-ip-acct.1 mrtg-apache.1 mrtg-uptime.1
ifeq ($(WITH_SENSORS),1)
TARGETS += mrtg-sensors
MANPAGES += mrtg-sensors.1
endif

%.o: %.c
	$(CC) $(CPPFLAGS) $(CFLAGS) $(LDFLAGS) -c $<

%.1: %.pod
	pod2man --center "MRTG helper utilities" --release "mrtgutils $(VERSION)" $^ > $@

all: $(TARGETS) $(MANPAGES)

mrtg-sensors: LIBS=-lsensors

mrtg-%: $(COBJS) mrtg-%.o
	$(CC) $(CPPFLAGS) $(CFLAGS) $(LDFLAGS) -o $@ $^ $(LIBS)

install: $(TARGET) 
	for i in $(TARGETS); do install -m 755 $$i $(DESTDIR)/usr/bin/$$i; done
	for i in $(MANPAGES); do install -m 644 $$i $(DESTDIR)/usr/share/man/man1/$$i; gzip -9 $(DESTDIR)/usr/share/man/man1/$$i; done

clean:
	-rm -f *.o $(TARGETS) $(MANPAGES)
	-rm -f *~

=== debian/changelog ===
mrtgutils (0.8.3build1) disco; urgency=medium

  * No-change rebuild against latest lm-sensors

 -- Jeremy Bicha <jbicha@ubuntu.com>  Wed, 02 Jan 2019 18:31:17 -0500

## mrtgutils 0.8.3+nmu1

=== debian/changelog ===
mrtgutils (0.8.3+nmu1) unstable; urgency=medium

  * Non-maintainer upload.
  * rebuild for mstrict-align

 -- root <root@loongson-pc>  Fri, 28 Jan 2022 16:10:21 +0800

## mrtgutils 0.8.4

=== debian/changelog ===
mrtgutils (0.8.4-1) unstable; urgency=medium

  * QA upload.
  * Orphan the package.
  * Convert package to non-native format "3.0 (quilt)".
    + Pseudo new release: Convert buildsystem to autotools.
  * Refresh packaging:
    + Bump Standards-Version to 4.6.0.
    + Bump debhelper compat to v13.
    + Use "Rules-Requires-Root: no".
    + Build-depends on libsensors-dev instead. (Closes: #917443)

 -- Boyuan Yang <byang@debian.org>  Fri, 01 Apr 2022 14:41:29 -0400

=== debian/control ===
Source: mrtgutils
Section: net
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends:
 debhelper-compat (= 13),
 libsensors-dev,
Standards-Version: 4.6.0
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/debian/mrtgutils
Vcs-Git: https://salsa.debian.org/debian/mrtgutils.git

Package: mrtgutils
Architecture: any
Priority: optional
Section: net
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Suggests:
 mrtg,
 mrtgutils-sensors,
Description: Utilities to generate statistics for mrtg
 MRTGutils is a collection of simple utilities to generate output useful for
 mrtg. Many of the existing mrtg setups use shell or perl scripts to gather
 output. On busy systems, these scripts can generate a lot of extra load. These
 (small) C programs can return the given statistics more efficiently.
 .
 This package provides the following binaries that return:
  - mrtg-load: the current load average (5-minute average)
  - mrtg-ip-acct: the number of IP packets that have traversed an interface
  - mrtg-apache: the number of hits to a Apache web site

Package: mrtgutils-sensors
Architecture: any
Priority: optional
Section: net
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Suggests:
 mrtgutils,
Conflicts:
 mrtgutils (<= 0.7),
Description: Utilities to generate statistics for mrtg (from lm-sensors)
 MRTGutils is a collection of simple utilities to generate output useful for
 mrtg. Many of the existing mrtg setups use shell or perl scripts to gather
 output. On busy systems, these scripts can generate a lot of extra load. These
 (small) C programs can return the given statistics more efficiently.
 .
 This package provides the binary mrtg-sensors that returns data sensors
 information from lm-sensors.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Uncomment this to turn on verbose mode.
# export DH_VERBOSE=1

# see FEATURE AREAS in dpkg-buildflags(1)
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# see ENVIRONMENT in dpkg-buildflags(1)
# package maintainers to append CFLAGS
#export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
# package maintainers to append LDFLAGS
export DEB_LDFLAGS_MAINT_APPEND =

%:
	dh $@
